package b4j.example;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class fx2_subs_0 {


public static RemoteObject  _imagecursor(RemoteObject _cursorimage) throws Exception{
try {
		Debug.PushSubsStack("ImageCursor (fx2) ","fx2",1,fx2.ba,fx2.mostCurrent,36);
if (RapidSub.canDelegate("imagecursor")) return fx2.remoteMe.runUserSub(false, "fx2","imagecursor", _cursorimage);
RemoteObject _joimagecursor = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
Debug.locals.put("CursorImage", _cursorimage);
 BA.debugLineNum = 36;BA.debugLine="Public Sub ImageCursor(CursorImage As Image) As Ob";
Debug.ShouldStop(8);
 BA.debugLineNum = 37;BA.debugLine="Private joImageCursor As JavaObject";
Debug.ShouldStop(16);
_joimagecursor = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("joImageCursor", _joimagecursor);
 BA.debugLineNum = 38;BA.debugLine="Return joImageCursor.InitializeNewInstance(\"javaf";
Debug.ShouldStop(32);
if (true) return (_joimagecursor.runMethod(false,"InitializeNewInstance",(Object)(BA.ObjectToString("javafx.scene.ImageCursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(_cursorimage.getObject())}))).getObject());
 BA.debugLineNum = 39;BA.debugLine="End Sub";
Debug.ShouldStop(64);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize() throws Exception{
try {
		Debug.PushSubsStack("Initialize (fx2) ","fx2",1,fx2.ba,fx2.mostCurrent,12);
if (RapidSub.canDelegate("initialize")) return fx2.remoteMe.runUserSub(false, "fx2","initialize");
RemoteObject _jo = RemoteObject.declareNull("anywheresoftware.b4j.object.JavaObject");
 BA.debugLineNum = 12;BA.debugLine="Public Sub Initialize";
Debug.ShouldStop(2048);
 BA.debugLineNum = 13;BA.debugLine="Private jo As JavaObject";
Debug.ShouldStop(4096);
_jo = RemoteObject.createNew ("anywheresoftware.b4j.object.JavaObject");Debug.locals.put("jo", _jo);
 BA.debugLineNum = 14;BA.debugLine="jo.InitializeStatic(\"javafx.scene.Cursor\")";
Debug.ShouldStop(8192);
_jo.runVoidMethod ("InitializeStatic",(Object)(RemoteObject.createImmutable("javafx.scene.Cursor")));
 BA.debugLineNum = 15;BA.debugLine="Cursors.CLOSED_HAND = jo.RunMethod(\"cursor\", Arra";
Debug.ShouldStop(16384);
fx2._cursors.setField ("CLOSED_HAND",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("CLOSED_HAND"))}))));
 BA.debugLineNum = 16;BA.debugLine="Cursors.CROSSHAIR = jo.RunMethod(\"cursor\", Array";
Debug.ShouldStop(32768);
fx2._cursors.setField ("CROSSHAIR",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("CROSSHAIR"))}))));
 BA.debugLineNum = 17;BA.debugLine="Cursors.DEFAULT = jo.RunMethod(\"cursor\", Array As";
Debug.ShouldStop(65536);
fx2._cursors.setField ("DEFAULT",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("DEFAULT"))}))));
 BA.debugLineNum = 18;BA.debugLine="Cursors.DISAPPEAR = jo.RunMethod(\"cursor\", Array";
Debug.ShouldStop(131072);
fx2._cursors.setField ("DISAPPEAR",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("DISAPPEAR"))}))));
 BA.debugLineNum = 19;BA.debugLine="Cursors.E_RESIZE = jo.RunMethod(\"cursor\", Array A";
Debug.ShouldStop(262144);
fx2._cursors.setField ("E_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("E_RESIZE"))}))));
 BA.debugLineNum = 20;BA.debugLine="Cursors.H_RESIZE = jo.RunMethod(\"cursor\", Array A";
Debug.ShouldStop(524288);
fx2._cursors.setField ("H_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("H_RESIZE"))}))));
 BA.debugLineNum = 21;BA.debugLine="Cursors.HAND = jo.RunMethod(\"cursor\", Array As Ob";
Debug.ShouldStop(1048576);
fx2._cursors.setField ("HAND",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("HAND"))}))));
 BA.debugLineNum = 22;BA.debugLine="Cursors.MOVE = jo.RunMethod(\"cursor\", Array As Ob";
Debug.ShouldStop(2097152);
fx2._cursors.setField ("MOVE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("MOVE"))}))));
 BA.debugLineNum = 23;BA.debugLine="Cursors.N_RESIZE = jo.RunMethod(\"cursor\", Array A";
Debug.ShouldStop(4194304);
fx2._cursors.setField ("N_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("N_RESIZE"))}))));
 BA.debugLineNum = 24;BA.debugLine="Cursors.NE_RESIZE = jo.RunMethod(\"cursor\", Array";
Debug.ShouldStop(8388608);
fx2._cursors.setField ("NE_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("NE_RESIZE"))}))));
 BA.debugLineNum = 25;BA.debugLine="Cursors.NONE = jo.RunMethod(\"cursor\", Array As Ob";
Debug.ShouldStop(16777216);
fx2._cursors.setField ("NONE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("NONE"))}))));
 BA.debugLineNum = 26;BA.debugLine="Cursors.OPEN_HAND = jo.RunMethod(\"cursor\", Array";
Debug.ShouldStop(33554432);
fx2._cursors.setField ("OPEN_HAND",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("OPEN_HAND"))}))));
 BA.debugLineNum = 27;BA.debugLine="Cursors.S_RESIZE = jo.RunMethod(\"cursor\", Array A";
Debug.ShouldStop(67108864);
fx2._cursors.setField ("S_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("S_RESIZE"))}))));
 BA.debugLineNum = 28;BA.debugLine="Cursors.SE_RESIZE = jo.RunMethod(\"cursor\", Array";
Debug.ShouldStop(134217728);
fx2._cursors.setField ("SE_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("SE_RESIZE"))}))));
 BA.debugLineNum = 29;BA.debugLine="Cursors.SW_RESIZE = jo.RunMethod(\"cursor\", Array";
Debug.ShouldStop(268435456);
fx2._cursors.setField ("SW_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("SW_RESIZE"))}))));
 BA.debugLineNum = 30;BA.debugLine="Cursors.TEXT = jo.RunMethod(\"cursor\", Array As Ob";
Debug.ShouldStop(536870912);
fx2._cursors.setField ("TEXT",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("TEXT"))}))));
 BA.debugLineNum = 31;BA.debugLine="Cursors.V_RESIZE = jo.RunMethod(\"cursor\", Array A";
Debug.ShouldStop(1073741824);
fx2._cursors.setField ("V_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("V_RESIZE"))}))));
 BA.debugLineNum = 32;BA.debugLine="Cursors.W_RESIZE = jo.RunMethod(\"cursor\", Array A";
Debug.ShouldStop(-2147483648);
fx2._cursors.setField ("W_RESIZE",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("W_RESIZE"))}))));
 BA.debugLineNum = 33;BA.debugLine="Cursors.WAIT = jo.RunMethod(\"cursor\", Array As Ob";
Debug.ShouldStop(1);
fx2._cursors.setField ("WAIT",_jo.runMethod(false,"RunMethod",(Object)(BA.ObjectToString("cursor")),(Object)(RemoteObject.createNewArray("Object",new int[] {1},new Object[] {(RemoteObject.createImmutable("WAIT"))}))));
 BA.debugLineNum = 34;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 2;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 3;BA.debugLine="Private fx As JFX";
fx2._fx = RemoteObject.createNew ("anywheresoftware.b4j.objects.JFX");
 //BA.debugLineNum = 4;BA.debugLine="Type Curs (CLOSED_HAND As Object, CROSSHAIR As Ob";
;
 //BA.debugLineNum = 9;BA.debugLine="Public Cursors As Curs";
fx2._cursors = RemoteObject.createNew ("b4j.example.fx2._curs");
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
}